<app-uitlog></app-uitlog>
<app-acces-denied-artikel-aanmaken></app-acces-denied-artikel-aanmaken>
<nav class="navbar navbar-expand-md " style="padding: 0; margin: 0;">
  <div class="container-fluid navbarcolor">
    <img src="assets/images/IT.png" alt="">
    <button  class="navbar-toggler" type="button" aria-controls="navbarContent" [attr.aria-expanded]="!collapsed"
      aria-label="Toggle navigation" (click)="collapsed = !collapsed">
      <fa-icon class="all-class" [icon]="faBars"> </fa-icon>
    </button>

    <div class="navbar-collapse" [class.collapse]="collapsed" id="navbarContent">
      <ul class="navbar-nav ms-auto">
        <li class="nav-item" ngbDropdown>
          <a class="nav-link nav-color" tabindex="0" routerLink="" role="button">
            Home
          </a>
        </li>

        <li class="nav-item" ngbDropdown>
          <a class="nav-link nav-color" tabindex="0" routerLink="about" role="button">
            Over IT World
          </a>
        </li>
        <li class="nav-item" ngbDropdown>
          <a class="nav-link nav-color" tabindex="0" routerLink="artikelAanmaken" role="button">
            Artikel Aanmaken
          </a>
        </li>
        <li class="nav-item" ngbDropdown>
          <a class="nav-link nav-color" tabindex="0" routerLink="login" role="button" style="color: #fbc323; ">
            Login
          </a>
        </li>
        <li class="nav-item" ngbDropdown>
          <a (click)="LogOut()" class="nav-link nav-color" tabindex="0"  role="button" style="color: #fbc323; ">
            Logout
          </a>
        </li>
      </ul>
      <span style="flex: auto;"></span>
      <div class="navRight">
        <app-zoekbalk></app-zoekbalk>
        <button class="toggle" (click)="switchTheme()">
          <!-- {{ theme === "light-theme" ?  "Switch to dark" : "Switch to light" }} -->
          <fa-icon id="moon" [icon]="famoon"> </fa-icon>
          <fa-icon id="sun" class="displayNone" style="color: white !important;" [icon]="fasun"> </fa-icon>
        </button>
      </div>
    </div>
  </div>
</nav>